﻿@using Microsoft.AspNet.Identity;
@using JobHunt.BU.Manage;
@{ 
    var UserId = User.Identity.GetUserId();
    var UserDTO = new WebMasterManage().GetInfoWebmasterByIdUser(UserId);
}
<html>
<head>
    <title>@ViewBag.Title</title>
    @*<link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i,800,800i&amp;subset=vietnamese" rel="stylesheet">*@
    @*<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.5.0/css/all.css" />*@
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css" integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">
    <link href="~/Assets/admin/css/all.css" rel="stylesheet" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="~/Assets/admin/libs/lodash.min.js"></script>
    <link href="~/Assets/admin/css/bootstrap.min.css" rel="stylesheet" />
    <link href="~/Assets/admin/css/icons.css" rel="stylesheet" />
    <link href="~/Assets/admin/css/stylebase.css" rel="stylesheet" />
    <link href="~/Assets/admin/css/style.css" rel="stylesheet" />
    <link href="~/Assets/admin/css/becss.css" rel="stylesheet" />
    <link href="~/Assets/client/css/main.css" rel="stylesheet" />
    <link href="~/Assets/admin/css/jquery.dataTables.min.css" rel="stylesheet" />

    <script src="~/Assets/admin/libs/jquery.min.js"></script>


    <!-- include libs stylesheets -->
    @*<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.css" />
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.5/umd/popper.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.js"></script>*@

    <link href="~/Assets/admin/libs/summernote/bootstrap.css" rel="stylesheet" />
    <script src="~/Assets/admin/libs/summernote/popper.js"></script>
    <script src="~/Assets/admin/libs/summernote/bootstrap.js"></script>

    <link rel="stylesheet" href="~/Assets/client/summernote/dist/summernote-bs4.css">
    <script type="text/javascript" src="~/Assets/client/summernote/dist/summernote-bs4.js"></script>

</head>
<body class="fixed-left">
    <!-- Loader -->
    <div id="preloader">
        <div id="status">
            <div class="spinner"></div>
        </div>
    </div>
    <!-- Begin page -->
    <div id="wrapper">
        <!-- ========== Left Sidebar Start ========== -->
        <div class="left side-menu">
            <button type="button" class="button-menu-mobile button-menu-mobile-topbar open-left waves-effect"><i class="ion-close"></i></button>
            <div class="left-side-logo d-block d-lg-none">
                <div class="text-center">
                    <a href="@Url.Action("","dashboard")" class="logo">
                        JobHunt
                    </a>
                </div>
            </div>
            <div class="sidebar-inner slimscrollleft">
                <div id="sidebar-menu">
                    <ul>
                        <li class="menu-title">Main</li>
                        <li><a href="@Url.Action("","dashboard")" class="waves-effect"><i class="dripicons-meter"></i> <span>Dashboard <span class="badge badge-success badge-pill float-right">3</span></span></a></li>
                        @if (User.IsInRole("Quản lý người tìm việc") || User.IsInRole("Quản trị"))
                        {
                            <li class="has_sub">
                                <a href="javascript:void(0);" class="waves-effect"><i class="dripicons-user-group"></i> <span>Quản lý NTV </span><span class="menu-arrow float-right"><i class="mdi mdi-chevron-right"></i></span></a>
                                <ul class="list-unstyled">
                                    <li><a href="@Url.Action("","candidatemanagement")">Danh sách thành viên</a></li>
                                    <li><a href="@Url.Action("createcandidate","candidatemanagement")">Thêm thành viên</a></li>
                                </ul>
                            </li>
                        }
                        @if (User.IsInRole("Quản lý người tuyển dụng") || User.IsInRole("Quản trị"))
                        {
                            <li class="has_sub">
                                <a href="javascript:void(0);" class="waves-effect"><i class="dripicons-user-group"></i> <span>Quản lý NTD</span><span class="menu-arrow float-right"><i class="mdi mdi-chevron-right"></i></span></a>
                                <ul class="list-unstyled">
                                    <li><a href="@Url.Action("","recruitmanagement")">Danh sách nhà tuyển dụng</a></li>
                                    <li><a href="@Url.Action("createrecruit","recruitmanagement")">Thêm nhà tuyển</a></li>
                                </ul>
                            </li>
                        }

                        @if (User.IsInRole("Quản lý tin tức") || User.IsInRole("Quản trị"))
                        {
                            <li class="has_sub">
                                <a href="javascript:void(0);" class="waves-effect"><i class="dripicons-article"></i> <span>Quản lý tin tức</span><span class="menu-arrow float-right"><i class="mdi mdi-chevron-right"></i></span></a>
                                <ul class="list-unstyled">
                                    <li><a href="@Url.Action("","newmanagement")">Danh sách tin tức</a></li>
                                    <li><a href="@Url.Action("createnew","newmanagement")">Thêm mới tin tức</a></li>
                                </ul>
                            </li>
                        }
                        @if (User.IsInRole("Quản lý công việc") || User.IsInRole("Quản trị"))
                        {
                            <li class="has_sub">
                                <a href="javascript:void(0);" class="waves-effect"><i class="dripicons-broadcast"></i> <span>Quản lý công việc</span><span class="menu-arrow float-right"><i class="mdi mdi-chevron-right"></i></span></a>
                                <ul class="list-unstyled">
                                    <li><a href="@Url.Action("","recruitjobmanagement")">Danh sách công việc</a></li>
                                    <li><a href="@Url.Action("postjob","recruitjobmanagement")">Thêm công việc</a></li>
                                    @*<li><a href="@Url.Action("","")">Lịch sử giao dịch</a></li>*@
                                </ul>
                            </li>
                        }

                        @*<li class="has_sub">
                                    <a href="javascript:void(0);" class="waves-effect"><i class="dripicons-broadcast"></i> <span>Quản lý nhân viên</span><span class="menu-arrow float-right"><i class="mdi mdi-chevron-right"></i></span></a>
                                    <ul class="list-unstyled">
                                        <li><a href="@Url.Action("","")">Danh sách</a></li>
                                        <li><a href="@Url.Action("","")">Thêm nhân viên</a></li>
                                        @*<li><a href="@Url.Action("","")">Lịch sử giao dịch</a></li>
                            </ul>
                            </li>*@
                        @*<li><a href="@Url.Action("","historyconstruction")" class="waves-effect"><i class="dripicons-calendar"></i><span> Lịch sử công trình</span></a></li>
                            <li><a href="#" class="waves-effect"><i class="dripicons-calendar"></i><span> Thống kê doanh thu</span></a></li>
                            <li><a href="#" class="waves-effect"><i class="dripicons-calendar"></i><span> Thư viện</span></a></li>*@
                        @if (User.IsInRole("Quản lý tài khoản") || User.IsInRole("Quản trị"))
                        {
                            <li class="has_sub">
                                <a href="javascript:void(0);" class="waves-effect"><i class="dripicons-user"></i> <span>Quản lý tài khoản </span><span class="menu-arrow float-right"><i class="mdi mdi-chevron-right"></i></span></a>
                                <ul class="list-unstyled">
                                    <li><a href="@Url.Action("listaccount","accountmanage")">Danh sách nhân viên</a></li>
                                    <li><a href="@Url.Action("createaccount","accountmanage")">Thêm nhân viên</a></li>
                                    <li><a href="@Url.Action("decentralization","accountmanage")">Phân quyền</a></li>
                                </ul>
                            </li>
                        }
                        @*@if (User.IsInRole("Quản lý thống kê") || User.IsInRole("Quản trị"))
                            {
                                <li class="has_sub">
                                    <a href="javascript:void(0);" class="waves-effect"><i class="dripicons-list"></i> <span>Thống kê </span><span class="menu-arrow float-right"><i class="mdi mdi-chevron-right"></i></span></a>
                                    <ul class="list-unstyled">
                                        <li><a href="#">Thống kê websiste</a></li>
                                        <li><a href="#">Thống kê doanh thu</a></li>
                                    </ul>
                                </li>
                            }*@

                        @if (User.IsInRole("Quản lý quảng cáo") || User.IsInRole("Quản trị"))
                        {
                            <li class="has_sub">
                                <a href="javascript:void(0);" class="waves-effect"><i class="dripicons-shopping-bag"></i> <span>Quản lý quảng cáo </span><span class="menu-arrow float-right"><i class="mdi mdi-chevron-right"></i></span></a>
                                <ul class="list-unstyled">
                                    <li><a href="@Url.Action("","advertisement")">Quản lý quảng cáo</a></li>
                                    <li><a href="@Url.Action("bookadvertisement","advertisement")">Đặt quảng cáo</a></li>
                                </ul>
                            </li>
                        }

                        @*@if (User.IsInRole("Quản lý website") || User.IsInRole("Quản trị"))
                            {
                                <li><a href="#" class="waves-effect"><i class="dripicons-calendar"></i><span> Thiết lập website</span></a></li>
                            }*@
                        @*<li><a href="#" class="waves-effect"><i class="dripicons-calendar"></i><span> Thống kê</span></a></li>*@
                    </ul>
                </div>
                <div class="clearfix"></div>
            </div>
            <!-- end sidebarinner -->
        </div>
        <!-- Left Sidebar End -->
        <!-- Start right Content here -->
        <div class="content-page">
            <!-- Start content -->
            <div class="content">
                <!-- Top Bar Start -->
                <div class="topbar">
                    <div class="topbar-left	d-none d-lg-block">
                        <div class="text-center">
                            <a href="@Url.Action("","dashboard")" class="logo">Job Hunt</a>
                        </div>
                    </div>
                    <nav class="navbar-custom">
                        <ul class="list-inline float-right mb-0">
                            <li class="list-inline-item dropdown notification-list">
                                <a class="nav-link dropdown-toggle arrow-none waves-effect nav-user showuser" data-toggle="dropdown" href="index.html#" role="button" aria-haspopup="false" aria-expanded="false">
                                    <span id="UserFullNameLayout" style="color:white">@User.Identity.Name </span>
                                    @*<img id="AvatarLayout" src="/Assets/client/images/avatar.png" alt="user" class="rounded-circle">*@
                                </a>
                                <div class="dropdown-menu dropdown-menu-right dropdown-menu-animated profile-dropdown">
                                    <a class="dropdown-item" href="@Url.Action("detailaccount","accountmanage", new { id = UserDTO.WebmasterInfoId })"><i class="mdi mdi-account-circle m-r-5 text-muted"></i> Hồ sơ</a>
                                    @*<a class="dropdown-item" data-toggle="modal" data-target="#ChangePassword" style="cursor: pointer;"><i class="mdi mdi-lock-open-outline m-r-5 text-muted"></i> Đổi mật khẩu</a>*@
                                    @using (Html.BeginForm("LogOff", "AccountManage", FormMethod.Post, new { id = "logoutForm", @class = "navbar-right" }))
                                    {
                                        @Html.AntiForgeryToken()
                                        <a href="javascript:document.getElementById('logoutForm').submit()" title="Đăng xuất khỏi hệ thống" class="logoff"><i class="mdi mdi-logout m-r-5 text-muted"></i> Đăng xuất</a>

                                    }
                                </div>
                            </li>
                        </ul>
                        <ul class="list-inline menu-left mb-0">
                            <li class="list-inline-item">
                                <button type="button" class="button-menu-mobile open-left waves-effect"><i class="ion-navicon"></i></button>
                            </li>
                        </ul>
                        @*<div class=""></div>*@
                    </nav>
                </div>
                <!-- Top Bar End -->
                <div class="page-content-wrapper">
                    <div class="">
                        @RenderBody()
                    </div>
                    <!-- container fluid -->
                </div>
                <!-- Page content Wrapper -->
            </div>
            <!-- content -->
            <footer class="footer">© 2018 design By<b> 3F Group</b></footer>
        </div>
        <!-- End Right content here -->
    </div>
    <!-- END wrapper -->
    <!-- jQuery  -->
    <script src="~/Assets/client/js/address.js"></script>
    <script src="~/Assets/admin/libs/jquery.lazy.min.js"></script>
    <script src="~/Assets/admin/libs/bootstrap.bundle.min.js"></script>
    <script src="~/Assets/admin/libs/fastclick.js"></script>

    <!-- Load page -->
    <script src="~/Assets/admin/libs/jquery.slimscroll.js"></script>
    <!-- click style -->
    <script src="~/Assets/admin/libs/waves.js"></script>
    <script src="~/Assets/admin/libs/app.js"></script>
    <script src="~/Assets/client/js/jquery.validate.min.js"></script>
    <script src="~/Assets/client/js/additional-methods.min.js"></script>
    <script src="~/Assets/client/js/notify/notify.min.js"></script>
    <script src="~/Assets/admin/js/jquery.dataTables.min.js"></script>
    <script src="~/Assets/admin/js/script.js"></script>

    @*<link href="~/Assets/admin/css/bootstrap.css" rel="stylesheet" />
    <script src="~/Assets/admin/js/popper.js"></script>
    <script src="~/Assets/admin/js/bootstrap.js"></script>

    <link rel="stylesheet" href="~/Assets/client/summernote/dist/summernote-bs4.css">
    <script type="text/javascript" src="~/Assets/client/summernote/dist/summernote-bs4.js"></script>*@
    <!-- <link rel="stylesheet" href="examples/example.css"> -->
    <script type="text/javascript">
        $(document).ready(function () {
            $('.summernote').summernote({
                height: 300,
                tabsize: 2
            });

            $('form').each(function () {
                if ($(this).data('validator'))
                    $(this).data('validator').settings.ignore = ".note-editor *";
            });
        });
    </script>
</body>


</html>